MixinVector File Reference
`#include <vector>`

Go to the source code of this file.

## Classes

class | osg::MixinVector< ValueT >

## Namespaces

namespace | osg

## Macros

#define | OSG_MIXIN_VECTOR 1

## Functions

template<class ValueT>
void | osg::swap (MixinVector< ValueT > &left, MixinVector< ValueT > &right)
template<class ValueT>
void | osg::swap (MixinVector< ValueT > &left, std::vector< ValueT > &right)
template<class ValueT>
void | osg::swap (std::vector< ValueT > &left, MixinVector< ValueT > &right)

## Macro Definition Documentation

## OSG_MIXIN_VECTOR

#define OSG_MIXIN_VECTOR 1